HP Officejet Pro 6978 , can not install hp software (SOLVED)

Forum rules
Before you post please read this
Jsch38
Level 1
Level 1
Posts: 23
Joined: Sun Jan 05, 2014 11:39 pm

HP Officejet Pro 6978 , can not install hp software (SOLVED)

Postby Jsch38 » Mon Sep 18, 2017 10:16 pm

I am using mint 17.3 Rosa.
I downloaded the HP software (HPLIP 3.17.7:) for my printer HP Officejet Pro 6978 to the descktop.
Ran the following command in terminal:
$CD Desktop
Run the install command, Received the following error message in terminal:
~/Desktop $ sh hplip-3.17.7. run
sh: 0: Can't open hplip-3.17.7.

What should I do ?
Thanks in advance, Jim
Last edited by Jsch38 on Sun Oct 15, 2017 8:36 pm, edited 2 times in total.

User avatar
catweazel
Level 10
Level 10
Posts: 3461
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: HP Officejet Pro 6978 , can not install hp software

Postby catweazel » Tue Sep 19, 2017 1:31 am

You have a space between the last period and the word run.
If your problem is fixed, please mark your thread as [SOLVED] by editing the title of the first message in the thread.

User avatar
karlchen
Level 18
Level 18
Posts: 8017
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: HP Officejet Pro 6978 , can not install hp software

Postby karlchen » Tue Sep 19, 2017 8:45 am

Hello, Jsch38.

Picking up catweazel's hint let me complete the advice likes this:

Linux Mint is case sensitive, therefore "CD DESKTOP" will only return an error message, but not take you to your desktop folder.
So the first commandline should read

Code: Select all

cd $HOME/Desktop

The second commandline should read

Code: Select all

sh ./hplip-3.17.7.run

HTH,
Karl
Image
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.

hrmcrm
Level 4
Level 4
Posts: 203
Joined: Sun Jul 03, 2016 5:59 pm
Location: San Francisco

Re: HP Officejet Pro 6978 , can not install hp software

Postby hrmcrm » Tue Sep 19, 2017 2:23 pm

It might be easier to install HPLIP through Software Manager. The HP page at http://hplipopensource.com/hplip-web/mo ... _6970.html for device HP Officejet Pro 6978 All-in-one shows the Minimum HPLIP version is 3.16.8 and

Code: Select all

Distro     Version   Installer   GUI14   Scan      Fax   Status   Photo Card4   USB   Parallel   Network
Linux Mint   17.3        Yes   Yes (Qt4)   Yes   Yes      Yes      No            Yes      No   Yes
indicating the 17.3 repository version should work. Search for hplip, then install hplip and hplip-gui. Run HPLIP-toolbox to install the printer.
Howard
ThinkPads 310ED, 600E, T23, X41, X60, T61, X201, E550

hrmcrm
Level 4
Level 4
Posts: 203
Joined: Sun Jul 03, 2016 5:59 pm
Location: San Francisco

Re: HP Officejet Pro 6978 , can not install hp software

Postby hrmcrm » Tue Sep 19, 2017 7:24 pm

hrmcrm wrote:indicating the 17.3 repository version should work.
Scratch that. I checked the HPLIP version on Mint 18.2, and it is 3.16.3, so not adequate for your device. HPLIP in Mint 17.3 is likely no newer.

It looks like you got to the Desktop directory OK. Catweazel's and karlchen's observations should get the installer running.
Howard
ThinkPads 310ED, 600E, T23, X41, X60, T61, X201, E550

Jsch38
Level 1
Level 1
Posts: 23
Joined: Sun Jan 05, 2014 11:39 pm

Re: HP Officejet Pro 6978 , can not install hp software

Postby Jsch38 » Tue Sep 19, 2017 11:21 pm

Thanks for all the help.
I copied and pasted the commands in terminal and installed the printer package and setup my printer.


Return to “Printers & Scanners”